<?php
/**
 * Plugin plxMySticky
 *
 * @version	1.0
 * @date	07/11/2014
 * @author	Laurent G.
 **/
class plxMySticky extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public function __construct($default_lang) {

        # appel du constructeur de la classe plxPlugin (obligatoire)
        parent::__construct($default_lang);

		# déclaration des hooks
        $this->addHook('ThemeEndHead', 'ThemeEndHead');
    }

	/**
	 * Méthode qui charge le javascript dans la partie <head> du site
	 *
	 * @return	stdio
	 * @author	Laurent G.
	 **/
    public function ThemeEndHead() {
		echo "\t".'<script type="text/javascript" src="'.PLX_PLUGINS.'plxMySticky/jquery.sticky.js"></script>'."\n";
		echo "\t".'<script> $(window).load(function(){ $("#sticky").sticky({ topSpacing: 0 }); });</script>'."\n";
	}
}
?>